Budgets
List a budget's periods with spend
GET /v1/budgets/{id}/periods · SDK listBudgetPeriods · CLI deployments budget periods
GET
Requires budgets:read.
platformBearerheader
AuthorizationBearer <token>Platform bearer credential accepted as an opaque API key or JWT.
id*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$cursor?stringLength
1 <= length <= 4096limit?integerRange
1 <= value <= 24x-deployments-organization*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$ListBudgetPeriodsResponse
application/json- response
items*array<>nextCursor?|nullcurl -X GET "https://example.com/v1/budgets/string/periods" \ -H "x-deployments-organization: string"{ "items": [ { "amountUsdMicros": 1, "budgetId": "string", "current": true, "exhausted": true, "notifiedThresholds": [ 1 ], "period": "daily", "periodEnd": "2019-08-24T14:15:22Z", "periodStart": "2019-08-24T14:15:22Z", "spendUsdMicros": 0 } ], "nextCursor": "string"}